#!/usr/bin/python

import re, os, sys
import shutil

# copy environment
env = {}
env.update(os.environ)

# change templatedir if you need to
#templatedir = '/usr/local/share/kicad/template'
templatedir = env['KICAD'] + '\\share\\template'

# set localdir to the location where you want to 
# store your local copy of the GitHub repository
#localdir = '/usr/local/share/kicad/github-repo'
# environment variabe KISYSMOD must be set before
# calling this script to match sys_table entrys
localdir = env['KISYSMOD']

# github_table has already moved to default_table
#github_table = 'fp-lib-table.for-github'

# contains local definitions ${KISYSMOD}
sys_table = 'fp-lib-table.for-pretty'

# contains github definitions ${KIGITHUB}
default_table = 'fp-lib-table'

#KIGITHUB = 'http://github.com/KiCad'
KIGITHUB = env['KIGITHUB']

# within kikad-winbuilder we use bzr 
#
#found = None
#sep = ';' if (re.compile('^[wW][Ii][Nn]').match(sys.platform)) else ':'
#paths = env['PATH'].split(sep)
#for path in paths: 
#  fpath = os.path.join(path,'git')
#  if (os.path.isfile(fpath) and os.access(fpath, os.X_OK)):
#     found = True
#     cmd = fpath
#     break
#
#if not found: 
#  print "cannot find git executable"
#  exit(1)
cmd=env['PATH_BZR'] + '\\bzr.exe'

# replace depracted clone and use from and to
# location 'cause https:// couldn't be combined with git://
# so the local dir would end with .git
#args = ['git', 'clone', 'x']
args = ['bzr', 'branch', 'from', 'to']

os.chdir(localdir)

#template = os.path.join(templatedir, github_table)
template = os.path.join(templatedir, sys_table)

for line in open(template,'rU'): 
    mo = re.search(r'^.*\(\W*uri\W?([^)]*).*$',line)
    if mo:
#       repo = mo.group(1).replace('${KISYSMOD}', KIGITHUB)
#       args[2]=repo
       args[2]=mo.group(1).replace('${KISYSMOD}', KIGITHUB) + '.git'
       args[3]=mo.group(1).replace('${KISYSMOD}', '.')
       print cmd, args
       os.spawnve(os.P_WAIT, cmd, args, env)

print "you now have a local copy of the GitHub repository"
print "in : ", localdir 
print "updating KiCad ... "

frompath = os.path.join(templatedir,sys_table)
#topath   = os.path.join(env['HOME'],default_table)
topath   = os.path.join(env['USERPROFILE'] + '\\Application Data\\kicad', default_table)

print ".. copying: ", frompath
print "......  to: ", topath
shutil.copyfile(frompath, topath)

print ".. done"
print
#print "before running kicad, you will need to set" 
#print "the following environment variable:"
#print
#print "KISYSMOD=%s\n" % localdir
